
export function registerGetSceneControlButtonsHook() {
  Hooks.on("getSceneControlButtons", getSceneControlButtons);
}

function getSceneControlButtons(controls) {
  if (canvas == null) {
    return;
  }
  controls.push({
    name: "fvtt-rolemaster-frp",
    title: "Rolemaster FRP System",
    icon: "fas fa-r",
    layer: "ControlsLayer",
    tools: [
      {
        name: "rmmsdiceroller",
        title: "Dice Roller",
        icon: "fas fa-dice",
        onClick: () => { return new game.rmss.applications.RMSSToolsDiceRoller().render(true); },
        button: true
      }
    ],
    activeTool: "rmmsdiceroller"
  });
}
